import axios from './axios'

// 大家都是程序员，抛出异常什么的是不存在的
export default {
  async packagesGet (params) {
    let res = await axios.get('/api/packages', { params })
    return res.data.data
  },
  async packagesGetBy (name, version = '') {
    let res = await axios.get(`/api/packages/${name}/${version}`)
    return res.data.data[0]
  },
  async readmeGet (name, version) {
    let res = await axios.get(`/api/packages/${name}/${version}/readme`)
    return res.data
  }
}
